<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://axelor.com/xml/ns/domain-models
  http://axelor.com/xml/ns/domain-models/domain-models_5.4.xsd">

  <module name="accounting" package="com.axelor.apps.accounting.db"/>
  <sequence name="accounting.entry.seq" increment="1" initial="1" prefix="ACE" padding="8" />
  <entity name="AccountingEntry">
    <string name="documentReference" title="Document reference" sequence="accounting.entry.seq" />
    <date name="operationDate" title="Operation date" required="true"/>
    <one-to-many name="entryLines" title="Entry lines" ref="EntryLine" mappedBy="accountingEntry" />
    <decimal name="totalDebit" title="Total Debit" default="0" readonly="true"/>
    <decimal name="totalCredit" title="Total Credit" default="0" readonly="true"/>
    <boolean name="entryLinesReadOnly" default="true" transient="true" />
  </entity>

</domain-models>
